System 2.0.0.0 4.0.0.0 System.Enum

Network interfaces, also known as network adapters, connect a computer to a network. The interface type defines the transmission media that provides network connectivity.

This enumeration defines the values returned by the property.

Specifies types of network interfaces.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses an Asymmetric Digital Subscriber Line (ADSL).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses asynchronous transfer mode (ATM) for data transmission.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a basic rate interface Integrated Services Digital Network (ISDN) connection. ISDN is a set of standards for data transmission over telephone lines.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses an Ethernet connection. Ethernet is defined in IEEE standard 802.3.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses an Ethernet 3 megabit/second connection. This version of Ethernet is defined in IETF RFC 895.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Fast Ethernet connection over optical fiber and provides a data rate of 100 megabits per second. This type of connection is also known as 100Base-FX.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Fast Ethernet connection over twisted pair and provides a data rate of 100 megabits per second. This type of connection is also known as 100Base-T.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Fiber Distributed Data Interface (FDDI) connection. FDDI is a set of standards for data transmission on fiber optic lines in a local area network.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a modem.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a gigabit Ethernet connection and provides a data rate of 1,000 megabits per second (1 gigabit per second).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a High Performance Serial Bus.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses the Internet Protocol (IP) in combination with asynchronous transfer mode (ATM) for data transmission.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a connection configured for ISDN and the X.25 protocol. X.25 allows computers on public networks to communicate using an intermediary computer.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface is a loopback adapter. Such interfaces are often used for testing; no traffic is sent over the wire.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Multirate Digital Subscriber Line.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Point-To-Point protocol (PPP) connection. PPP is a protocol for data transmission using a serial device.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a primary rate interface Integrated Services Digital Network (ISDN) connection. ISDN is a set of standards for data transmission over telephone lines.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Rate Adaptive Digital Subscriber Line (RADSL).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Serial Line Internet Protocol (SLIP) connection. SLIP is defined in IETF RFC 1055.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Symmetric Digital Subscriber Line (SDSL).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Token-Ring connection. Token-Ring is defined in IEEE standard 802.5.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a tunnel connection.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The interface type is not known.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a Very High Data Rate Digital Subscriber Line (VDSL).

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetworkInterfaceType

  The network interface uses a wireless LAN connection (IEEE 802.11 standard).